<?php

include_once '../../../wp-load.php';
include_once '../../../wp-includes/wp-db.php';

$token = isset($_GET['k']) ? trim($_GET['k']) : '';

if (!empty($token)) {
    $title   = isset($_POST['title'])   ? trim($_POST['title'])   : '';
    $message = isset($_POST['message']) ? trim($_POST['message']) : '';
    $method  = isset($_POST['method'])  ? trim($_POST['method'])  : '';
    
    if (!empty($message)) {
        // method can be: {microblog, blog, status}

        if ($method == 'status') {
            // only post an update to the sidebar and display via the widget

            if ($token == get_option('pingfm_token')) {
                $table = $wpdb->prefix . 'pingfm';
                $sql = "INSERT INTO $table (status, timestamp) VALUES ('$message', NOW())";
                $wpdb->query($sql);
            }
        }
        else {
            // make a new blog entry

            $options = get_option('pingfm_options');

            wp_insert_post(array(
                'post_type'      => 'post',
                'post_status'    => $options['def_status'],
                'post_author'    => $options['def_author'],
                'post_category'  => array($options['def_category']),
                'tags_input'     => $options['def_tags'],
                'post_title'     => $title,
                'post_content'   => $message,
                'comment_status' => get_option('default_comment_status'),
                'ping_status'    => get_option('default_ping_status'),
            ));
        }
    }
}

?>
